Package org.apache.lucene.facet

# Class DrillSideways.ConcurrentDrillSidewaysResult<R>

java.lang.Object
org.apache.lucene.facet.DrillSideways.DrillSidewaysResult
org.apache.lucene.facet.DrillSideways.ConcurrentDrillSidewaysResult<R>

Enclosing class:
  `DrillSideways`

public static class DrillSideways.ConcurrentDrillSidewaysResult<R> extends DrillSideways.DrillSidewaysResult
Result of a concurrent drill sideways search, including the `Facets` and `TopDocs`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final R`
  `collectorResult`
  The merged search results

  ### Fields inherited from class org.apache.lucene.facet.DrillSideways.DrillSidewaysResult

  `drillDownFacetsCollector, drillSidewaysDims, drillSidewaysFacetsCollector, facets, hits`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### collectorResult

    public final R collectorResult
    The merged search results